Skip to main content
`Ctrl`+`K`

# MatScaLAPACKGetBlockSizes

Gets the block sizes used in the distribution of the `MATSCALAPACK` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScaLAPACKGetBlockSizes(Mat A, PetscInt *mb, PetscInt *nb)

Not Collective

## Input Parameter

- A - a `MATSCALAPACK` matrix

## Output Parameters

- mb - the row block size

- nb - the column block size

## Note

This block size has a different meaning from the block size associated with `MatSetBlockSize()` used for sparse matrices

## See Also

Matrices, `Mat`, `MATSCALAPACK`, `MatCreateScaLAPACK()`, `MatScaLAPACKSetBlockSizes()`

## Level

intermediate

## Location

src/mat/impls/scalapack/matscalapack.c

## Implementations

MatScaLAPACKGetBlockSizes_ScaLAPACK() in src/mat/impls/scalapack/matscalapack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages